## Apache Zeta Components Manual :: Docs For Class ezcMailMboxSet

### Mail::ezcMailMboxSet

### Class ezcMailMboxSet

ezcMailMboxSet is an internal class that fetches a series of mail from an mbox file.

The mbox set is constructed from a file pointer and iterates over all the messages in an mbox file.

Source for this file: /Mail/src/transports/mbox/mbox_set.php

### Implements interfaces:

- ezcMailParserSet

Version: | //autogen//

### Method Summary

public ezcMailMboxSet | `__construct( $fh , $messages )` Constructs a new mbox parser set.
public array(int=>int) | `getMessageNumbers( )` Returns message numbers for current set.
public string | `getNextLine( )` Returns one line of data from the current mail in the set including the ending linebreak.
public bool | `hasData( )` Returns whether the set contains mails.
public bool | `isFinished( )` Returns true if all the data has been fetched from this set.
public bool | `nextMail( )` Moves the set to the next mail and returns true upon success.

### Methods

#### __construct

ezcMailMboxSet __construct( resource(filepointer) $fh , $messages )

Constructs a new mbox parser set.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$fh` | resource(filepointer) |
`$messages` | array(int=>int) |

##### Exceptions:

Type | Description
--- | ---
`ezcBaseFileIoException` | if $fh is not a filepointer resource.

#### getMessageNumbers

array(int=>int) getMessageNumbers( )

Returns message numbers for current set.

#### getNextLine

string getNextLine( )

Returns one line of data from the current mail in the set including the ending linebreak.

Null is returned if there is no current mail in the set or the end of the mail is reached.

##### Implementation of:

Method | Description
--- | ---
`ezcMailParserSet::getNextLine()` | Returns one line of data from the current mail in the set including the ending linebreak.

#### hasData

bool hasData( )

Returns whether the set contains mails.

##### Implementation of:

Method | Description
--- | ---
`ezcMailParserSet::hasData()` | Returns true if mail data is available for parsing.

#### isFinished

bool isFinished( )

Returns true if all the data has been fetched from this set.

#### nextMail

bool nextMail( )

Moves the set to the next mail and returns true upon success.

False is returned if there are no more mail in the set.

##### Implementation of:

Method | Description
--- | ---
`ezcMailParserSet::nextMail()` | Moves the set to the next mail and returns true upon success.

Documentation generated by phpDocumentor 1.4.3